﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace AJAXEventHandling {
	public partial class _Default : System.Web.UI.Page {
		string[] img_files = {"ani_l1.gif",
												"anibline2b.gif",
												"anibul1.gif",
												"anibul12.gif",
												"anibul2.gif",
												"aniroll3.gif",
												"arg-candy-stripe-rule.gif",
												"arg-computer-data-cr-border-url.gif",
												"arg-fish-in-bowl-url.gif",
												"arg-parade-50-trunc-8c.gif",
												"bearfish.gif",
												"bullet_10_animated.gif",
												"bullet_14_animated.gif",
												"bullet_17_animated.gif"};
		protected void Page_Load(object sender, EventArgs e) {
			GetImage();
			SetLabelText();
			SetColor();
		}

		private void GetImage() {
			Image1.ImageUrl = img_files[(new Random()).Next(0, img_files.Length)];
		}

		private void SetLabelText() {
			Label1.Text = ListBox1.Text;
		}

		private void SetColor() {
			if (RadioButtonList1.SelectedIndex == 0)
				Label1.ForeColor = System.Drawing.Color.Blue;
			else
				Label1.ForeColor = System.Drawing.Color.Red;
		}

		protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e) {
			SetColor();
		}

		protected void ListBox1_SelectedIndexChanged(object sender, EventArgs e) {
		}

		protected void Timer1_Tick(object sender, EventArgs e) {

		}
	}
}
