﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SIDU_Linq {
	public partial class ProductForm : System.Web.UI.UserControl {
		public event EventHandler onSaveClick;
		public event EventHandler onDeleteClick;
		public Label ProductID = new Label();
		public TextBox Name = new TextBox();
		public TextBox Code = new TextBox();
		public TextBox CountryOfOrigin = new TextBox();
		public CheckBox OnSale = new CheckBox();
		public Label Msg = new Label();

		protected void Page_Load(object sender, EventArgs e) {
			PlaceHolder1.Controls.Add(ProductID);
			PlaceHolder2.Controls.Add(Name);
			PlaceHolder3.Controls.Add(Code);
			PlaceHolder4.Controls.Add(CountryOfOrigin);
			PlaceHolder5.Controls.Add(OnSale);
			PlaceHolder6.Controls.Add(Msg);
		}

		protected void Save_Click(object sender, EventArgs e) {
			if (this.onSaveClick != null)
				this.onSaveClick(this, e);
		}

		public void Clear_Click(object sender, EventArgs e) {
			ProductID.Text = Name.Text = Code.Text = CountryOfOrigin.Text = Msg.Text = String.Empty;
			OnSale.Checked = false;
		}

		protected void Delete_Click(object sender, EventArgs e) {
			Msg.Text = String.Empty;
			if (this.onDeleteClick != null)
				this.onDeleteClick(this, e);
		}

		public bool DataMissing() {
			return (Name.Text == String.Empty ||
							Code.Text == String.Empty ||
							CountryOfOrigin.Text == String.Empty);
		}

	}
}