﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace WebServiceDemo {
	/// <summary>
	/// Summary description for Service1
	/// </summary>
	[WebService(Namespace = "http://tempuri.org/")]
	[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
	[System.ComponentModel.ToolboxItem(false)]
	// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
	// [System.Web.Script.Services.ScriptService]
	public class Service1 : System.Web.Services.WebService {

		[WebMethod]
		public List<string> GetCodes() {
			ProductbaseDataContext pbdc = new ProductbaseDataContext();
			try {
				return pbdc.Products.Select(p => p.Code).OrderBy(p => p).ToList();
			}
			catch {
				return null;
			}
		}
		[WebMethod]
		public Product GetProduct(string code) {
			ProductbaseDataContext pbdc = new ProductbaseDataContext();
			try {
				return pbdc.Products.Single(p => p.Code == code);
			}
			catch {
				return null;
			}
		}
	}
}
